Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 264101 - net-misc/neon-0.28.4 http(s) support for dev-util/subversion is broken.
Summary: net-misc/neon-0.28.4 http(s) support for dev-util/subversion is broken.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High minor (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-28 19:38 UTC by Nicolai Beuermann
Modified: 2009-06-14 10:32 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Output of emerge --info (emerge.info,5.02 KB, text/plain)
2009-03-28 19:40 UTC, Nicolai Beuermann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolai Beuermann 2009-03-28 19:38:58 UTC
Accessing a repository on a http server via svn using webdav-neon fails.

Reproducible: Always

Steps to Reproduce:
1.emerge dev-util/subversion-1.6.0  USE="berkdb kde nls perl python webdav-neon apache2 -bash-completion -ctypes-python -debug -doc -dso -emacs -extras -gnome-keyring -java -ruby -sasl -vim-syntax -webdav-serf
2. svn co http://overlays.gentoo.org/svn/proj/vmware/trunk vmware_overlay
Actual Results:  
svn: OPTIONS of 'http://overlays.gentoo.org/svn/proj/vmware/trunk': could not connect to server (http://overlays.gentoo.org)

Expected Results:  
Syncing the repository.

It happens in context of syncing via app-portage/layman-1.2.3. USE="subversion -git -test"
Comment 1 Nicolai Beuermann 2009-03-28 19:40:35 UTC
Created attachment 186583 [details]
Output of emerge --info
Comment 2 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-03-28 19:42:56 UTC
Reopen if you can reproduce it with newer kernel.

*** This bug has been marked as a duplicate of bug 263497 ***
Comment 3 Steve Arnold gentoo-dev 2009-04-20 00:02:58 UTC
I have a local repo (currently subversion 1.5.x) that stopped working recently via http URLs (client also 1.5.x, built with webdav-neon), but still worked fine with local and apache/viewvc.  It was working fine via http as recently as last week, and only the client side was updated.

It doesn't seem to be a kernel issue, since this just started happening after an update, and had/has the same behavior with both 2.6.28.7 and 2.6.29.1 vanilla kernels on the client.  Looks like neon's webdav support is borked:

svn ls https://server.foo.org/svn/home/Python/filters/adaptive_median/trunk/
svn: Unrecognized URL scheme for 'https://server.foo.org/svn/home/Python/filters/adaptive_median/trunk'

Rebuilding subversion with webdav-serf instead of webdav-neon makes it work as expected:

svn ls https://server.foo.org/svn/home/Python/filters/adaptive_median/trunk/
adaptive_median.py

emerge --info for the client:

Portage 2.2_rc30 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.8_p20080602-r1, 2.6.29.1 x86_64)
=================================================================
System uname: Linux-2.6.29.1-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4800+-with-gentoo-2.0.0
Timestamp of tree: Sat, 18 Apr 2009 09:45:02 +0000
distcc 3.0 x86_64-pc-linux-gnu [enabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r15, 2.5.4-r2, 2.6.1-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.3
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib64/fax /usr/share/bufrtables /usr/share/config /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg ccache distcc distlocks fixpackages multilib-strict parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://kuroshin.arnolds.bogus/gentoo/"
LANG="C"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://kuroshin.arnolds.bogus/gentoo-portage"
USE="3dnow X Xaw3d a52 aac aalib accessibility acl acpi ada alsa amd64 ansi ao artworkextra aspell avahi avi bitmap-fonts bluetooth bonobo browserplugin bzip2 cairo caps cddb cdparanoia cdr clamav cli cracklib crypt cups curl daap dbus dga directfb divx4linux djvu dri dts dv dvd dvdr dvdread dynagraph emacs enchant encode evo exif faac faad fam fame fbcon ffmpeg firefox3 fits flac fontconfig fortran freetype freetype2 gb gd gdbm geos gif gimp glib gmp gnome gnutls gphoto2 gpm gps graphviz grass gs gstreamer gtk gtkhtml gtkspell guile hal howl iconv icq id3tag ieee1394 imagemagick imap imlib ipv6 isdnlog jabber jack jasper java jbig jikes jpeg jpeg2k jpg junit ladspa lame lapack lash latex lcms ldap libnotify libsamplerate lirc lm_sensors logrotate mad midi mmx motif mp3 mpeg mplayer mudflap multilib mysql mythtv nas nautilus ncurses netcdf nfs nls nolvmstatic nptlonly nsplugin numeric ogdi ogg oggvorbis opengl openmp oss pam pcre pda pdf perl pkcs11 plotutils png postgres pppd pulseaudio python qt qt3support qt4 quicktime readline reflection rtc ruby samba sasl sdl seamonkey session slp smartcard sndfile snmp spamassassin spell spl sse sse2 ssl subtitles svg sysfs tcl tcpd theora threads tiff timidity tk truetype truetype-fonts type1-fonts unicode usb v4l v4l2 vcd vorbis wavpack wifi xanim xcb xext xine xml xorg xpm xulrunner xv xvid xvmc zeo zlib zvbi" ALSA_CARDS="emu10k1 hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_digest auth_basic authn_alias   authn_anon authn_dbm authn_default authn_file authz_dbm authz_default   authz_groupfile authz_host authz_owner authz_user autoindex cache dav   dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache   filter headers include info log_config logio mem_cache mime mime_magic   negotiation proxy proxy_connect proxy_http rewrite setenvif speling status   unique_id userdir usertrack vhost_alias" CAMERAS="directory canon casio fuji kodak polaroid ptp2 samsung spca50x" ELIBC="glibc" INPUT_DEVICES="keyboard mouse joystick evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="fbdev radeon vesa v4l radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 John J. Aylward 2009-04-20 17:29:31 UTC
I get the following error using 1.6 client and server when trying to commit:
using subclipse 1.6.2:
org.tigris.subversion.javahl.ClientException: RA layer request failed
svn: Commit failed (details follow):
svn: MERGE of '/repos/john/DirectoryBrowser/trunk': 200 OK (https://server)

org.tigris.subversion.javahl.ClientException: RA layer request failed
svn: Commit failed (details follow):
svn: MERGE of '/repos/john/DirectoryBrowser/trunk': 200 OK (https://server)



using command line 1.6.1:
Sending        inc.gallerySetup.php
Transmitting file data .svn: Commit failed (details follow):
svn: MERGE of '/repos/john/DirectoryBrowser/trunk': 200 OK (https://server)

Server logs indicates no error.


The commit actually goes to the server and is properly recorded, but the change "fails" client side. Preforming an "svn up" preforms a merge and everything is OK. Happens every time and on file moves it causes a Tree Conflict which isn't fixable with "svn up".

I am able to reproduce this using a subversion 1.5 client on windows as well, so I'm pretty sure it's a problem in the server response.

Below is the relevant emerge --info and package info for the client and the server.


Client emerge --info:
Portage 2.2_rc30 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.28-gentoo-r3 x86_64)
=================================================================                                        
System uname: Linux-2.6.28-gentoo-r3-x86_64-AMD_Phenom-tm-_9650_Quad-Core_Processor-with-glibc2.2.5      
Timestamp of tree: Mon, 20 Apr 2009 03:30:01 +0000                                                       
ccache version 2.4 [enabled]                                                                             
app-shells/bash:     3.2_p39                                                                             
dev-java/java-config: 2.1.7                                                                              
dev-lang/python:     2.5.2-r7                                                                            
dev-util/ccache:     2.4-r7                                                                              
dev-util/cmake:      2.6.3-r1                                                                            
sys-apps/baselayout: 1.12.11.1                                                                           
sys-apps/sandbox:    1.9                                                                                 
sys-devel/autoconf:  2.13, 2.63-r1                                                                       
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                           
sys-devel/binutils:  2.18-r3                                                                             
sys-devel/gcc-config: 1.4.0-r4                                                                           
sys-devel/libtool:   1.5.26                                                                              
virtual/os-headers:  2.6.27-r2                                                                           
ACCEPT_KEYWORDS="amd64"                                                                                  
CBUILD="x86_64-pc-linux-gnu"                                                                             
CFLAGS="-march=athlon64 -O2 -pipe"                                                                       
CHOST="x86_64-pc-linux-gnu"                                                                              
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"                         
CXXFLAGS="-march=athlon64 -O2 -pipe"                                                                                                               
DISTDIR="/usr/portage/distfiles"                                                                                                                   
FEATURES="ccache distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"                
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"                                              
LANG="en_US.UTF-8"                                                                                                                                 
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US ja ja_JP"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/overlays/layman/sunrise /usr/local/portage/overlays/local"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X Xaw3d a52 aac aalib acl acpi aim alsa amd64 ao apm audiofile bash-completion bcmath berkdb bidi bzip2 cairo calendar cdda cddb cdparanoia cdr cjk cli cracklib crypt ctype cups curl curlwrappers daap dbus dga dirac directfb dri dts dv dvb dvd dvdr dvdread emacs encode exif fam fbcon ffmpeg firefox flac foomaticdb fortran ftp gd gdbm gif glut gmp gnutls gphoto2 gpm gtk hal htmlhandbook iconv icq id3tag idn ieee1394 imagemagick imap imlib inifile ipv6 isdnlog jabber jack java java5 java6 jbig jikes jpeg jpeg2k junit kde kdeenablefinal kdehiddenvisibility lcms ldap leim lesstif libcaca libnotify live logrotate loop-aes lzo mad matroska matrox midi mikmod mime mmx mng mod mono motif mozilla mp3 mp4 mpeg msn mudflap multilib musepack musicbrainz mysqli nas ncurses nls nptl nptlonly nsplugin odbc ogg openal openexr opengl openmp oscar pam pcre pda pdf perl png posix ppds pppd python qt4 quicktime rdesktop readline reflection rtsp scanner sdl sdl-image seamonkey session shout slp smp sndfile soap speex spellspl sse sse2 ssl startup-notification svg sysfs tcl tcltk tcpd tetex theora threads tidy tiff tk truetype unicode usb v4l vcd vhosts vorbis wmf x264 xattr xcomposite xine xinerama xml xorg xosd xpm xprint xscreensaver xsl xulrunner xv xvid yahoo zeroconf zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US ja ja_JP" USERLAND="GNU" VIDEO_CARDS="radeon radeonhd amd fglrx nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

$ emerge -pv subversion eclipse-sdk
[ebuild   R   ] dev-util/subversion-1.6.1  USE="bash-completion berkdb dso emacs extras java kde nls perl python webdav-neon -apache2 -ctypes-python -debug -doc -gnome-keyring -ruby -sasl -vim-syntax -webdav-serf" 0 kB
[ebuild   R   ] dev-util/eclipse-sdk-3.4-r2  USE="java6 -doc" 0 kB


Server emerge --info:
Portage 2.2_rc30 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.24.7 x86_64)
=================================================================                                
System uname: Linux-2.6.24.7-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4400+-with-glibc2.2.5
Timestamp of tree: Mon, 20 Apr 2009 03:30:01 +0000                                                
ccache version 2.4 [enabled]                                                                      
app-shells/bash:     3.2_p39                                                                      
dev-java/java-config: 1.3.7-r1, 2.1.7                                                             
dev-lang/python:     2.5.2-r7                                                                     
dev-util/ccache:     2.4-r7                                                                       
sys-apps/baselayout: 1.12.11.1                                                                    
sys-apps/sandbox:    1.6-r2                                                                       
sys-devel/autoconf:  2.13, 2.63-r1                                                                
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                         
sys-devel/binutils:  2.18-r3                                                                      
sys-devel/gcc-config: 1.4.0-r4                                                                    
sys-devel/libtool:   1.5.26                                                                       
virtual/os-headers:  2.6.27-r2                                                                    
ACCEPT_KEYWORDS="amd64"                                                                           
CBUILD="x86_64-pc-linux-gnu"                                                                      
CFLAGS="-march=athlon64 -O2 -pipe"                                                                
CHOST="x86_64-pc-linux-gnu"                                                                       
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"                         
CXXFLAGS="-march=athlon64 -O2 -pipe"                                                                                                               
DISTDIR="/usr/portage/distfiles"                                                                                                                   
FEATURES="ccache distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"                
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US ja ja_JP"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/overlays/layman/sunrise /usr/local/portage/overlays/local"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 apache2 apm bash-completion bcmath berkdb bidi bzip2 cjk cli cracklib crypt ctype cups curl curlwrappers dbus directfb dri dvd emacs exif fam fbcon flac foomaticdb fortran ftp gdbm glut gmp gnutls gpm gtk hal iconv idn ieee1394 ipv6 isdnlog jack java java5 java6ldap leim lesstif logrotate loop-aes matroska midi mmx mod mozilla mp3 mp4 mpeg mudflap multilib musepack mysql mysqli ncurses nls nptl nptlonly odbc opengl openmp pam pcre perl php posix ppds pppd python qt4 readline reflection samba session slp smp snmp spell spl sqlite sqlite3 sse sse2 sslsysfs tcpd tetex threads truetype unicode usb vhosts vorbis x264 xattr xml xorg xsl xvid zeroconf zlib" ALSA_CARDS="emu10k1 hda-intel intel8x0 intel8x0m usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxyproxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US ja ja_JP" USERLAND="GNU" VIDEO_CARDS="radeon amd fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

$ emerge -pv subversion apache
[ebuild   R   ] www-servers/apache-2.2.10  USE="ldap ssl threads -debug -doc (-selinux) -sni -static -suexec" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_userautoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif speling status unique_id userdir usertrack vhost_alias -asis -authn_alias -cern_meta -charset_lite -dumpio -log_forensic -proxy_ftp -substitute -version" APACHE2_MPMS="worker -event -itk -peruser -prefork" 0 kB
[ebuild   R   ] dev-util/subversion-1.6.1  USE="apache2 bash-completion berkdb dso emacs extras java nls perl python webdav-neon -ctypes-python -debug -doc -gnome-keyring -kde -ruby -sasl -vim-syntax -webdav-serf" 0 kB
Comment 5 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-04-23 21:56:37 UTC
(In reply to comment #3)
> virtual/os-headers:  2.6.23-r3

You are using too old sys-kernel/linux-headers.
Update sys-kernel/linux-headers to at least 2.6.27-r2 and next rebuild sys-libs/glibc. You can also consider rebuilding kernel.
Comment 6 Jason Yamada-Hanff 2009-04-27 04:00:34 UTC
(In reply to comment #5)
> Update sys-kernel/linux-headers to at least 2.6.27-r2 and next rebuild
> sys-libs/glibc. You can also consider rebuilding kernel.

This is not a fix for me.  I can reproduce the svn http problem on ~x86, using new linux-headers (2.6.28-r1) and new-ish kernel (2.6.26-gentoo-r1).  Rebuilding glibc did not help.

Some http repos worked when using serf instead of neon.  Of course, that exposes me to all the bugs currently open on serf/subversion.

emerge -pv neon subversion:
net-misc/neon-0.28.4  USE="nls ssl zlib -doc -expat -gnutls -kerberos -pkcs11 -socks5"
dev-util/subversion-1.6.1  USE="apache2 bash-completion berkdb emacs extras kde nls perl python sasl vim-syntax webdav-neon -ctypes-python -debug -doc -dso -gnome-keyring -java -ruby -webdav-serf"
Comment 7 Piotr Miedzik 2009-04-27 08:00:36 UTC
the same with dev-util/subversion-1.6.1

i used strace to debug:
-----------
fcntl(3, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
poll([{fd=3, events=POLLOUT}], 1, 0)    = 1 ([{fd=3, revents=POLLOUT}])
sendto(3, "\34\31\1\0\0\1\0\0\0\0\0\0\3svn\nautomattic\3com\0\0"..., 36, MSG_NOSIGNAL, NULL, 0) = 36
poll([{fd=3, events=POLLIN}], 1, 5000)  = 1 ([{fd=3, revents=POLLIN}])
ioctl(3, FIONREAD, [154])               = 0
recvfrom(3, "\34\31\201\200\0\1\0\1\0\3\0\3\3svn\nautomattic\3com\0\0"..., 1024, 0, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("213.186.33.99")}, [16]) = 154
close(3)                                = 0
socket(PF_INET, 0x80001 /* SOCK_??? */, IPPROTO_TCP) = -1 EINVAL (Invalid argument)
write(2, "svn: OPTIONS z 'http://svn.automa"..., 117) = 117
munmap(0x2b96340a1000, 2242520)         = 0
exit_group(1)   
----------
it seems subversion fails to use proper sock argument with neon-0.28.4 on amd64
---
my emerge --info

Portage 2.1.6.11 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.24-ovz006 x86_64)
=================================================================
System uname: Linux-2.6.24-ovz006-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6550_@_2.33GHz-with-gentoo-2.0.0
Timestamp of tree: Mon, 27 Apr 2009 04:30:05 +0000
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2, 2.6.2
dev-python/pycrypto: 2.0.1-r8
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /sbin/rc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles/"
LANG="pl_PL.UTF-8"
LC_ALL="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="pl"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cups dri fortran gdbm gpm iconv ipv6 isdnlog logrotate midi minimal mmx mudflap multilib mysql ncurses nls nptl nptlonly openmp pam pcre perl postgres pppd python readline reflection session spl sqlite sse sse2 ssl suexec sysfs tcpd unicode vim-syntax xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="itk" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 8 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-04-29 15:10:39 UTC
(In reply to comment #7)
> the same with dev-util/subversion-1.6.1
> i used strace to debug:
> -----------
> fcntl(3, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
> poll([{fd=3, events=POLLOUT}], 1, 0)    = 1 ([{fd=3, revents=POLLOUT}])
> sendto(3, "\34\31\1\0\0\1\0\0\0\0\0\0\3svn\nautomattic\3com\0\0"..., 36,
> MSG_NOSIGNAL, NULL, 0) = 36
> poll([{fd=3, events=POLLIN}], 1, 5000)  = 1 ([{fd=3, revents=POLLIN}])
> ioctl(3, FIONREAD, [154])               = 0
> recvfrom(3, "\34\31\201\200\0\1\0\1\0\3\0\3\3svn\nautomattic\3com\0\0"...,
> 1024, 0, {sa_family=AF_INET, sin_port=htons(53),
> sin_addr=inet_addr("213.186.33.99")}, [16]) = 154
> close(3)                                = 0
> socket(PF_INET, 0x80001 /* SOCK_??? */, IPPROTO_TCP) = -1 EINVAL (Invalid
> argument)
> write(2, "svn: OPTIONS z 'http://svn.automa"..., 117) = 117
> munmap(0x2b96340a1000, 2242520)         = 0
> exit_group(1)   
> ----------
> it seems subversion fails to use proper sock argument with neon-0.28.4 on
> amd64

Subversion directly rather doesn't use any sock arguments...
Please report the problem to <neon@lists.manyfish.co.uk>
(See http://lists.manyfish.co.uk/mailman/listinfo/neon)

> Portage 2.1.6.11 (default/linux/amd64/2008.0, gcc-4.3.3,
> glibc-2.9_p20081201-r2, 2.6.24-ovz006 x86_64)

You use new glibc, old kernel...

> =================================================================
> System uname:
> Linux-2.6.24-ovz006-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6550_@_2.33GHz-with-gentoo-2.0.0
> Timestamp of tree: Mon, 27 Apr 2009 04:30:05 +0000
> app-shells/bash:     4.0_p17-r1
> dev-java/java-config: 2.1.7
> dev-lang/python:     2.5.4-r2, 2.6.2
> dev-python/pycrypto: 2.0.1-r8
> sys-apps/baselayout: 2.0.0
> sys-apps/openrc:     0.4.3-r2
> sys-apps/sandbox:    1.9
> sys-devel/autoconf:  2.13, 2.63-r1
> sys-devel/automake:  1.4_p6, 1.5, 1.10.2
> sys-devel/binutils:  2.19.1-r1
> sys-devel/gcc-config: 1.4.1
> sys-devel/libtool:   2.2.6a
> virtual/os-headers:  2.6.28-r1

... and new kernel headers. It is rather unsane combination.
Comment 9 Marijn Schouten (RETIRED) gentoo-dev 2009-05-08 11:48:04 UTC
I reproduce with subversion-1.6.1:

$ svn co http://code.roadsend.com/svn/pcc/trunk/
svn: Unrecognized URL scheme for 'http://code.roadsend.com/svn/pcc/trunk'

I tried downgading subversion. 1.5.6: same behavior, 1.5.5: does not even recognize http(s) protocols.

$ emerge --info
Portage 2.1.6.12 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.26-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.26-gentoo-r1-x86_64-Intel-R-_Core-TM-2_CPU_6600_@_2.40GHz-with-gentoo-2.0.0
Timestamp of tree: Fri, 08 May 2009 10:30:01 +0000
app-shells/bash:     3.2_p48-r1
dev-lang/python:     2.6.2
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect cvs distlocks fixpackages parallel-fetch protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en nl"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/kde-testing /home/marijn/git/gentoo-lisp-overlay /home/marijn/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dts dvd dvdr dvdread eds emacs emboss encode esd evo fam firefox flac fortran gdbm gif gmp gpm gstreamer gtk hal history iconv ipv6 isdnlog jpeg kde kpathsea ldap libnotify lm_sensors mad metric midi mikmod mmx mng mp3 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nvidia offensive ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sasl sdl session smp speex spell spl sse sse2 ssl startup-notification svg sysfs tcpd theora threads tiff truetype unicode usb vorbis webkit xineramaxml xorg xpm xulrunner xv zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc"INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en nl" USERLAND="GNU" VIDEO_CARDS="fbdev nouveau nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

I realize that that is not the newest kernel, but is that REALLY a probable cause?
Comment 10 Marijn Schouten (RETIRED) gentoo-dev 2009-05-08 11:51:04 UTC
$ eix subversion
[U] dev-util/subversion
     Available versions:  1.5.5!t 1.5.6!t (~)1.6.0-r1!t (~)1.6.1!t {apache2 bash-completion berkdb ctypes-python debug doc dso elibc_FreeBSD emacs extras gnome-keyring java kde nls perl python ruby sasl vim-syntax webdav-neonwebdav-serf}
     Installed versions:  1.5.5!t(22:49:37 07-05-09)(bash-completion berkdb dso emacs nls perl python sasl webdav-neon -apache2 -debug -doc -elibc_FreeBSD -extras -java -ruby -vim-syntax -webdav-serf)

$ eix -e neon
[I] net-misc/neon
     Available versions:  0.26.4!t (~)0.28.2!t 0.28.3!t 0.28.4!t {doc expat gnutls kerberos linguas_cs linguas_de linguas_fr linguas_ja linguas_nn linguas_pl linguas_ru linguas_tr linguas_zh_CN nls pkcs11 socks5 ssl zlib}
     Installed versions:  0.28.4!t(16:43:12 23-03-09)(nls ssl zlib -doc -expat -gnutls -kerberos -linguas_cs -linguas_de -linguas_fr -linguas_ja -linguas_nn -linguas_pl -linguas_ru -linguas_tr -linguas_zh_CN -pkcs11 -socks5)
Comment 11 Marijn Schouten (RETIRED) gentoo-dev 2009-05-08 11:52:33 UTC
(In reply to comment #9)
> I reproduce with subversion-1.6.1:
> 
> $ svn co http://code.roadsend.com/svn/pcc/trunk/
> svn: Unrecognized URL scheme for 'http://code.roadsend.com/svn/pcc/trunk'
> 
> I tried downgading subversion. 1.5.6: same behavior, 1.5.5: does not even
> recognize http(s) protocols.

Output is still from downgraded 1.5.5 actually.
Comment 12 Robert Bridge 2009-05-09 13:45:16 UTC
Is this actually a neon problem?

I get the same issue with net-misc/neon-0.28.4 and dev-util/subversion-1.5.6 but rolling back to net-misc/neon-0.28.3 and dev-util/subversion-1.5.5 causes subversion to work for me again.
Comment 13 Robert Bridge 2009-05-09 16:30:42 UTC
Ok, I have just tested subversion 1.5.6 with neon 0.28.3 and it works.

It looks like the bug is introduced in neon-0.28.4.
Comment 14 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-05-09 16:35:25 UTC
(In reply to comment #13)
> It looks like the bug is introduced in neon-0.28.4.

This bug might be invalid, but if you want to have anything fixed in Neon, report this problem to Neon upstream (neon@lists.manyfish.co.uk, http://lists.manyfish.co.uk/mailman/listinfo/neon).
Comment 15 Robert Bridge 2009-05-09 16:41:24 UTC
(In reply to comment #14)

It certainly looks like there is a problem with one of the versions of neon that is marked as stable on x86 in portage. I would call that a valid bug, even if it's not the fault of Gentoo.
Comment 16 Marijn Schouten (RETIRED) gentoo-dev 2009-05-10 10:34:41 UTC
I confirm that it works with neon-0.28.3 and subversion-1.6.1.
Comment 17 kunitoki (Lucio Asnaghi) 2009-05-13 16:54:24 UTC
neon-0.28.3 and subversion-1.5.6 (both stable) work here.

neon-0.28.4 should be marked unstable as soon as possible.
Comment 18 Emmanuel Lepage Vallee 2009-05-13 21:32:53 UTC
Confirming this too (kernel 2.6.26) but reversing neon did work for me too
Comment 19 Paulo J. Matos 2009-05-13 23:00:41 UTC
Guess neon 0.28.4 should be masked ASAP.
Comment 20 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-05-14 16:41:42 UTC
net-misc/neon-0.28.4 will not be marked unstable or masked.

Please reread comment #14.
Comment 21 Matthew Schultz 2009-05-15 14:52:23 UTC
(In reply to comment #20)
> net-misc/neon-0.28.4 will not be marked unstable or masked.
> 
> Please reread comment #14.
> 

This seems like the perfect storm.  I'm using gentoo in a virtual environment (xen) and cannot update the kernel but am forced to use headers newer than the xen kernel.  What is your suggestion for this?

emerge -pv subversion:
[ebuild   R   ] dev-util/subversion-1.5.6  USE="apache2 berkdb dso java nls perl python sasl webdav-neon -bash-completion -debug -doc -emacs -extras -ruby -vim-syntax -webdav-serf" 0 kB

emerge -pv neon:
[ebuild   R   ] net-misc/neon-0.28.4  USE="gnutls nls ssl zlib -doc -expat -kerberos -pkcs11 -socks5" LINGUAS="-cs -de -fr -ja -nn -pl -ru -tr -zh_CN" 0 kB

emerge --info
Portage 2.1.6.11 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.18-53.1.13.el5xen i686)
=================================================================
System uname: Linux-2.6.18-53.1.13.el5xen-i686-Intel-R-_Xeon-R-_CPU_E5420_@_2.50GHz-with-glibc2.0
Timestamp of tree: Thu, 14 May 2009 13:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r13, 2.5.4-r2
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -mno-tls-direct-seg-refs"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -mno-tls-direct-seg-refs"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages metadata-transfer parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://lug.mtu.edu/gentoo/ http://gentoo.netnitco.net "
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="a52 aac acl acpi adns apache2 audiofile avi bcmath bdf berkdb bzip2 calendar caps cddb cdparanoia cdr cjk clamav cli cpudetection cracklib crypt ctype cups curl curlwrappers dbus dri dts dvb dvd dvdnav dvdread encode exif fbcon ffmpeg flac foomaticdb fortran ftp gd gdbm geoip gif glib gmp gnutls gpm gstreamer hal hash iconv idn ieee1394 imagemagick imap imlib innodb ipv6 isdnlog ithreads java javascript jpeg jpeg2k json kson lcms ldap ldap-sasl libcaca live logrotate lzo mad matroska mcal mhash midi mime mjpeg mmx mmxext mng mp2 mp3 mp4 mpeg mplayer msession msn mudflap mysql mysqli ncurses network nls nptl nptlonly nsplugin nss ogg openmp osc pam pch pcntl pcre pdf pdo perl php png posix ppds pppd python quicktime readline reflection rtc samba sasl session simplexml snmp soap sockets spell spl sqlite sse sse2 ssl subversion suexec suhosin svg sysfs tcpd theora threads tidy tiff tokenizer transcode truetype unicode usb v4l v4l2 vcd vorbis wddx win32codecs x264 x86 xforms xine xinetd xml xorg xpm xv xvid xvmc zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 22 Paulo J. Matos 2009-05-15 14:59:42 UTC
(In reply to comment #20)
> net-misc/neon-0.28.4 will not be marked unstable or masked.
> 
> Please reread comment #14.
> 

I read it but I still don't get it. If neon-0.28.4 is SEVERELY unstable, should it be marked 'unstable' or masked? Note it is not my intent here to tell you what to do, but just to understand why you're doing it this way...

Comment 23 Richard Ash 2009-05-15 20:29:52 UTC
What a monumentally unhelpful response.

One good reason not to mask neon is because it isn't the cause of the problem. Bug #263589 reveals that libgcrypt-1.4.4 built on x86 with -O3 in CFLAGs with GCC < 4.2 doesn't work due to a GCC bug. There is a check for this compiler in the ebuild for libgcrypt-1.4.4 which filters the -O3 flag in favour of -O2 if your compiler is old enough to be affected, but the ebuild wasn't revision bumped when the check was added. As a result, anybody who has -O3 in CFLAGS on stable x86 and built libgcrypt before the 5th of April will have a broken build (which is more people than at first it might seem).

To fix the problem, it is sufficient to rebuild dev-libs/libgcrypt:
emerge -1 =dev-libs/libgcrypt-1.4.4

Subversion (and many other things) will then come back to life and work correctly. Why messing with the Neon version helped I am not clear, unless it triggered a rebuild of libgcrypt along the way.

The main problem for users is that this bug is still open, whilst the one against libgcrypt which contains the solution is now closed, and so does not appear in search results.
Comment 24 Robert Bridge 2009-05-15 20:43:25 UTC
So it's a bug that's induced by use of -O3 in CFLAGS? Funny that it affects my systems than (which only use -O2), and none of the emerge --info posted uses -O3 that I can see...

The stance seems to be that it's a neon bug, report it upstream, but it's staying stable. At least that's the impression being given. Now, I know I really shouldn't criticise others work, but that attitude essentially really casts a bad light on the distro as a whole. I use a distro to avoid having to worry about fixing package versions myself. I run stable to avoid having to worry about bugs like this. If nothing else, at this point, this is a PR bug...
Comment 25 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-05-15 20:46:15 UTC
(In reply to comment #23)
> Bug #263589

Bug #263589 was independent from this bug and affected only https://, not http://.
Comment 26 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-05-15 20:47:48 UTC
(In reply to comment #22)
> (In reply to comment #20)
> > Please reread comment #14.
> > 
> 
> I read it but I still don't get it.

Somebody, who believes that this bug is valid, should report it on neon@lists.manyfish.co.uk mailing list.
Comment 27 Erwan Lerale 2009-05-16 17:16:10 UTC
I confirm that it works with neon-0.28.3 and subversion-1.6.2.
Comment 28 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-06-12 23:16:15 UTC
It should be fixed.
(Arkadiusz Miśkiewicz (from PLD/Linux) properly reported this problem to Neon upstream.)
Comment 29 Matthew Schultz 2009-06-12 23:47:44 UTC
(In reply to comment #28)
> It should be fixed.
> (Arkadiusz Miśkiewicz (from PLD/Linux) properly reported this problem to Neon
> upstream.)
> 

As of which version of neon?
Comment 30 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-06-14 03:23:25 UTC
(In reply to comment #29)
> (In reply to comment #28)
> > It should be fixed.
> 
> As of which version of neon?

I added the patch to 0.28.4.
Comment 31 Marijn Schouten (RETIRED) gentoo-dev 2009-06-14 10:32:35 UTC
(In reply to comment #30)
> I added the patch to 0.28.4.

We also need a revision bump.
Comment 32 Marijn Schouten (RETIRED) gentoo-dev 2009-06-14 10:32:54 UTC
(In reply to comment #30)
> I added the patch to 0.28.4.

We also need a revision bump.